Summary:	Process and resource monitor
Name:		mate-system-monitor
Version:	1.6.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	c2fc9d21ad18c67f6517434d22e31bf3
Patch0:		use-libwnck.patch
URL:		http://mate-desktop.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glibmm-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtkmm-devel
BuildRequires:	libgtop-devel
BuildRequires:	librsvg-devel
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	libwnck2-devel
BuildRequires:	libxml2-devel
BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-icon-theme-devel
BuildRequires:	pango-devel
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.26.0
Requires:	mate-desktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mate-system-monitor allows to graphically view and manipulate the
running processes on your system. It also provides an overview of
available resources such as CPU and memory.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--disable-scrollkeeper \
	--enable-compile-warnings=minimum

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/%{name}.convert

desktop-file-install \
	--delete-original \
	--remove-category=MATE \
	--add-category=X-Mate \
	--dir $RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%find_lang %{name} --with-mate --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/mate-system-monitor.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%changelog
* Fri Aug 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-system-monitor.git;a=log;h=master

* Fri Aug 16 2013 Elan Ruusamäe <glen@delfi.ee> 121467d
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 98ef0d5
- up to 1.6.0

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> 7492307
- use libwnck

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> 600b5d1
- add md5

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> 90ee71f
- update deps with cleanbuild

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> c2412ca
- new, version 1.5.1

